Subject: Re: [PATCH v3] push: Enhance unspecified push default warning

From: Matthieu Moy <[email-masked]>
Date: Tue, 5 Nov 2013 11:16:59 +0100 (CET)

----- Original Message -----
> Greg Jacobson <[email-masked]> writes:
> 
> > Is there anything I could do to improve this patch?  Thank you.
> 
> My vague recollection is that we started from an excerpt from the
> documentation page, not unlike this patch attempts to, but because
> such an excerpt has to be less complete than the documentation for
> brevity's sake, it is bound to be an incorrect and/or misleading
> one, and decided that we are better off referring the users, who do
> want to choose something other than the default we chose, to the
> documentation.
> 
> Somebody cares to dig up the old discussion threads and post a few
> pointers?

The previous versions of this patch received only minor comments,
which were taken into account:

http://thread.gmane.org/gmane.comp.version-control.git/235675
http://thread.gmane.org/gmane.comp.version-control.git/235694

I don't remember all the discussions on the patch which introduced
the warning, but I don't think it's relevant to digg them before applying the patch:

* The assumption was that users would read the docs, but as I already mentioned:
  "Judging by the question asked on stackoverflow
  ( http://stackoverflow.com/questions/13148066/warning-push-default-is-unset-its-implicit-value-is-changing-in-git-2-0 )
  and its popularity, telling the users to read the docs did not work very
  well."

* The warning has been there for a while now. Advanced users have already set push.default.
  We shouldn't be worried about eating a bit of screen real estate for users who didn't yet.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/